# Learning Django

## Project: mysite

Run server with multiple environment

`python manage.py runserver 0.0.0.0:8000 --settings=mysite.settings`

See migration SQL code execute 

* `python manage.py sqlmigrate <APP_NAME> <MIGRATE_VERSION>`
* `python manage.py sqlmigrate blog 0001`

> Create Django Superuser

`python manage.py createsuperuser`

## Reference

* [Django-4-by-example](https://github.com/PacktPublishing/Django-4-by-example)

## Lib

* [django-extensions](https://github.com/django-extensions/django-extensions)
* [django-extensions-shell](https://github.com/shanx/django-extensions-shell)

## Gmail App passwords

* [App password](https://myaccount.google.com/apppasswords)
